#include <windows.h>
char mousestr[255]="\0";
LRESULT CALLBACK WndProc (HWND, UINT, WPARAM, LPARAM) ;
int WINAPI WinMain (HINSTANCE hInstance, HINSTANCE hPrevInstance,PSTR szCmdLine, int iCmdShow)
{
HWND hwnd ;
MSG msg ;
WNDCLASSA wndclass ;
wndclass.style=CS_HREDRAW | CS_VREDRAW ;
wndclass.lpfnWndProc=WndProc ;
wndclass.cbClsExtra=0;
wndclass.cbWndExtra=0;
wndclass.hInstance=hInstance ;
wndclass.hIcon=LoadIcon (NULL, IDI_APPLICATION) ;
wndclass.hCursor=LoadCursor (NULL, IDC_ARROW) ;
wndclass.hbrBackground=(HBRUSH) GetStockObject (WHITE_BRUSH) ;
wndclass.lpszMenuName=NULL;
wndclass.lpszClassName = "myWindowClass";
RegisterClassA (&wndclass);
hwnd = CreateWindowA ("myWindowClass", "Mouse Demo",WS_OVERLAPPEDWINDOW,CW_USEDEFAULT, CW_USEDEFAULT,CW_USEDEFAULT, CW_USEDEFAULT,NULL, NULL, hInstance, NULL) ;
ShowWindow (hwnd, iCmdShow) ;
UpdateWindow (hwnd) ;
while (GetMessage (&msg, NULL, 0, 0))
{
TranslateMessage (&msg) ;
DispatchMessage (&msg) ;
}
return msg.wParam ;
}
LRESULT CALLBACK WndProc (HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam)
{
HDC hdc ;
hdc=GetDC(hwnd);
switch (message)
{
case WM_LBUTTONDOWN://deals with left mouse button down
if (wParam & MK_SHIFT)//deals with shift key press followed by left button down 
{
wsprintfA(mousestr,"shift & left button down %d,%d",LOWORD(lParam),HIWORD(lParam));
TextOutA(hdc,LOWORD(lParam),HIWORD(lParam),mousestr,strlen(mousestr));
}
else if (wParam & MK_CONTROL)//deals with control key press followed by left button down 
{
wsprintfA(mousestr,"control & left button down %d,%d",LOWORD(lParam),HIWORD(lParam));
TextOutA(hdc,LOWORD(lParam),HIWORD(lParam),mousestr,strlen(mousestr));
}
else if (wParam & MK_RBUTTON)//deals with and right button down followed by left button down 
{
wsprintfA(mousestr,"left and right button %d,%d",LOWORD(lParam),HIWORD(lParam));
TextOutA(hdc,LOWORD(lParam),HIWORD(lParam),mousestr,strlen(mousestr));
}
else  //default left mouse button only
{
wsprintfA(mousestr,"left button down at %d,%d",LOWORD(lParam),HIWORD(lParam));
TextOutA(hdc,LOWORD(lParam),HIWORD(lParam),mousestr,strlen(mousestr));
}
ReleaseDC(hwnd,hdc);
break;
case WM_LBUTTONUP://deals with left mouse button up
wsprintfA(mousestr,"left button up at %d,%d",LOWORD(lParam),HIWORD(lParam));
TextOutA(hdc,LOWORD(lParam),HIWORD(lParam),mousestr,strlen(mousestr));
ReleaseDC(hwnd,hdc);
break;
case WM_RBUTTONDOWN://deals with right mouse button down
wsprintfA(mousestr,"right button down at %d,%d",LOWORD(lParam),HIWORD(lParam));
TextOutA(hdc,LOWORD(lParam),HIWORD(lParam),mousestr,strlen(mousestr));
ReleaseDC(hwnd,hdc);
break;
case WM_RBUTTONUP://deals with right mouse button up
wsprintf(mousestr,"right button up at %d,%d",LOWORD(lParam),HIWORD(lParam));
TextOutA(hdc,LOWORD(lParam),HIWORD(lParam),mousestr,strlen(mousestr));
ReleaseDC(hwnd,hdc);
break;
case WM_DESTROY:
PostQuitMessage (0) ;
return 0;
}
return DefWindowProcA (hwnd, message, wParam, lParam) ;
}